/2025-04/marketing-solutions/ad-sets/{ad-set-id}/audience
curl --request PUT \
--url https://api.criteo.com/2025-04/marketing-solutions/ad-sets/{ad-set-id}/audience \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"audienceId": "<string>"
},
"id": "<string>",
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/2025-04/marketing-solutions/ad-sets/{ad-set-id}/audience"
payload = { "data": {
"attributes": { "audienceId": "<string>" },
"id": "<string>",
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {attributes: {audienceId: '<string>'}, id: '<string>', type: '<string>'}})
};
fetch('https://api.criteo.com/2025-04/marketing-solutions/ad-sets/{ad-set-id}/audience', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"audienceId": "<string>"
},
"id": "<string>",
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/2025-04/marketing-solutions/ad-sets/{ad-set-id}/audience
Link or unlink an audience with an ad set
PUT
/
2025-04
/
marketing-solutions
/
ad-sets
/
{ad-set-id}
/
audience
/2025-04/marketing-solutions/ad-sets/{ad-set-id}/audience
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ad set ID.
Body
application/json
Ad set-Audience update request.
Input to set audience ad set link.
A class that represents a domain entity exposed by an API
Show child attributes
Show child attributes
Response
200 - application/json
Success
Was this page helpful?
/2025-04/marketing-solutions/ad-sets/{ad-set-id}
Previous
/2025-04/marketing-solutions/ad-sets/{ad-set-id}/category-bids
Next
⌘I